## com.vividsolutions.jts.geom.prep
Class PreparedLineString

    java.lang.Object
      com.vividsolutions.jts.geom.prep.BasicPreparedGeometry
          com.vividsolutions.jts.geom.prep.PreparedLineString

All Implemented Interfaces:
  PreparedGeometry

public class PreparedLineString
extends BasicPreparedGeometry

A prepared version for `Lineal` geometries.

Author:
  mbdavis

Constructor Summary
`PreparedLineString(Lineal line)`

Method Summary
`FastSegmentSetIntersectionFinder` `getIntersectionFinder()`
`boolean` `intersects(Geometry g)` Default implementation.

Methods inherited from class com.vividsolutions.jts.geom.prep.BasicPreparedGeometry
`contains, containsProperly, coveredBy, covers, crosses, disjoint, envelopeCovers, envelopesIntersect, getGeometry, getRepresentativePoints, isAnyTargetComponentInTest, overlaps, toString, touches, within`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PreparedLineString

    public PreparedLineString(Lineal line)

Method Detail

### getIntersectionFinder

    public FastSegmentSetIntersectionFinder getIntersectionFinder()

### intersects

    public boolean intersects(Geometry g)

  Description copied from class: `BasicPreparedGeometry`
  Default implementation.

  Specified by:
    `intersects` in interface `PreparedGeometry`
  Overrides:
    `intersects` in class `BasicPreparedGeometry`